Skip to main content
GET
/
app.rocksky.scrobble.getScrobble
Get a scrobble by its unique identifier
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.scrobble.getScrobble \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "user": "<string>",
  "title": "<string>",
  "artist": "<string>",
  "artistUri": "<string>",
  "album": "<string>",
  "albumUri": "<string>",
  "cover": "<string>",
  "date": "2023-11-07T05:31:56Z",
  "uri": "<string>",
  "sha256": "<string>",
  "listeners": 123,
  "scrobbles": 123,
  "artists": [
    {
      "id": "<string>",
      "uri": "<string>",
      "name": "<string>",
      "picture": "<string>",
      "sha256": "<string>",
      "playCount": 1,
      "uniqueListeners": 1,
      "tags": [
        "<string>"
      ]
    }
  ],
  "firstScrobble": {
    "handle": "<string>",
    "avatar": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uri
string<at-uri>
required

The unique identifier of the scrobble

Response

OK

id
string

The unique identifier of the scrobble.

user
string

The handle of the user who created the scrobble.

title
string

The title of the scrobble.

artist
string

The artist of the song.

artistUri
string<at-uri>

The URI of the artist.

album
string

The album of the song.

albumUri
string<at-uri>

The URI of the album.

cover
string<uri>

The album art URL of the song.

date
string<date-time>

The timestamp when the scrobble was created.

uri
string<uri>

The URI of the scrobble.

sha256
string

The SHA256 hash of the scrobble data.

listeners
integer
scrobbles
integer
artists
object[]
firstScrobble
object